commit bee0b7156a07afaa837ce0f31ba12a3eb5d1ee22
Author: Martin Liska <mliska@suse.cz>
Date:   Wed Jul 29 14:13:42 2020 +0200

    gcc-changelog: fix combining of arguments.
    
    contrib/ChangeLog:
    
    2020-07-29  Martin Liska  <mliska@suse.cz>
    
            * git-backport.py: fix how are ChangeLog paths combined.

diff --git a/contrib/git-backport.py b/contrib/git-backport.py
index 3a9413dcd27..2b8e4686719 100755
--- a/contrib/git-backport.py
+++ b/contrib/git-backport.py
@@ -46,7 +46,7 @@ if __name__ == '__main__':
         conflicts = out.strip().split('\n')
         changelogs = [c for c in conflicts if c.endswith('ChangeLog')]
         if changelogs:
-            cmd = 'git checkout --theirs %s' % '\n'.join(changelogs)
+            cmd = 'git checkout --theirs %s' % ' '.join(changelogs)
             subprocess.check_output(cmd, shell=True)
         # 2) remove all ChangeLog files from index
         cmd = 'git diff --name-only --diff-filter=M HEAD'

